%global	__requires_exclude pear\\(PHPUnit/Framework.php\\)|pear\\(Smarty.class.php\\)|pear\\(HTML/Template/Flexy.php\\)
%define		_class		HTML
%define		_subclass	QuickForm
%define		upstream_name	%{_class}_%{_subclass}

%define 	peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	3.2.16
Release:	%mkrel 2
Summary:	Methods for creating, validating, processing HTML forms
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/HTML_QuickForm/
Source0:	https://pear.php.net/get/%{upstream_name}-%{version}.tgz
#fix bug #9373 with patches from David Walser
Patch0:		HTML_QuickForm-3.2.14-errors.patch
Patch1:		HTML_QuickForm-3.2.14-moodle1.patch
Patch2:		HTML_QuickForm-3.2.14-moodle2.patch
Patch3:		HTML_QuickForm-3.2.14-moodle3.patch
Patch4:		HTML_QuickForm-3.2.14-raiseError.patch

Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear
BuildRequires:	mercurial
BuildRequires:	php-pear-HTML_Common

%description
The PEAR::HTML_QuickForm package provides methods for creating,
validating, processing HTML forms. Features:
- Creates xHTML compliant form elements of various type.
- Allows you to choose an unlimited number of html attributes.
- Allows you to create your own custom elements using your own
  classes.
- Process form values (you should override the process method).
- Creates javascript validation code using regular expression.
- Server-side validation too.
- Allows you to create your own validation rules.
- Manages file uploads.
- Allows you to freeze some elements in your form.
- Allows you to customize the look of your form in many ways.
- Template-like form elements customization...

%prep
%autosetup -S hg -c

pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

cat package.xml |sed 's/md5sum="[a-z0-9]*"//' > %{upstream_name}-%{version}/%{upstream_name}.xml
cd %{upstream_name}-%{version}




%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

# Install XML package description
install -d %{buildroot}%{xmldir}
install -m 644 %{upstream_name}.xml %{buildroot}%{xmldir}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{upstream_name}.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/%{upstream_name}
fi

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{xmldir}/%{upstream_name}.xml




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.2.16-2.mga10
+ Revision: 2227392
- Mageia 10 Mass Rebuild

* Wed Sep 04 2024 mokraemer <mokraemer> 3.2.16-1.mga10
+ Revision: 2093000
- repatch
- new version 3.2.16

* Wed Mar 23 2022 umeabot <umeabot> 3.2.15-4.mga9
+ Revision: 1821298
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.2.15-3.mga8
+ Revision: 1522049
- Mageia 8 Mass Rebuild

* Wed Jan 16 2019 mokraemer <mokraemer> 3.2.15-2.mga7
+ Revision: 1357407
- fix bug from mga6

* Tue Jan 15 2019 mokraemer <mokraemer> 3.2.15-1.mga7
+ Revision: 1357095
- new version 3.2.15

* Wed Sep 19 2018 umeabot <umeabot> 3.2.14-6.mga7
+ Revision: 1273219
- Mageia 7 Mass Rebuild

* Sat Mar 12 2016 umeabot <umeabot> 3.2.14-5.mga6
+ Revision: 989424
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 spuhler <spuhler> 3.2.14-4.mga5
+ Revision: 809404
- added %%global __requires_exclude pear\\(HTML/Template/Flexy.php\\)
 * it is not required by upstream

* Tue Dec 09 2014 spuhler <spuhler> 3.2.14-3.mga5
+ Revision: 802417
- added %%global __requires_exclude pear\\(Smarty.class.php\\)

* Tue Dec 09 2014 spuhler <spuhler> 3.2.14-2.mga5
+ Revision: 802345
- updated the md5sum in the xml file and named it package.xml.moodle
  * needed after patching
- added posr and postun scripts

* Sat Dec 06 2014 spuhler <spuhler> 3.2.14-1.mga5
+ Revision: 801687
- upgrade to version 3.2.14
- added the moodle patches
 * fixes bug #9373
- changed the spec to allow patches
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Nov 27 2013 spuhler <spuhler> 3.2.13-5.mga4
+ Revision: 553779
- fixed bug # 9373

* Sat Oct 19 2013 umeabot <umeabot> 3.2.13-4.mga4
+ Revision: 530706
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 spuhler <spuhler> 3.2.13-3.mga4
+ Revision: 459190
- added %%define _requires_exceptions pear(PHPUnit/Framework.php)
 * this file has been dropped long ago, but upstream doesn't correct the problem

* Sun Jan 13 2013 umeabot <umeabot> 3.2.13-2.mga3
+ Revision: 376214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 04 2011 spuhler <spuhler> 3.2.13-1.mga2
+ Revision: 176281
- upgrade to 3.2.13

* Mon Jan 17 2011 spuhler <spuhler> 3.2.12-1.mga1
+ Revision: 20775
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-HTML_QuickForm


* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.12-1mdv2011.0
+ Revision: 587641
- update to new version 3.2.12

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.11-2mdv2010.1
+ Revision: 477871
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.11-1mdv2010.0
+ Revision: 383550
- update to new version 3.2.11

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.10-2mdv2009.1
+ Revision: 321846
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.10-1mdv2009.0
+ Revision: 272587
- 3.2.7

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 3.2.7-3mdv2009.0
+ Revision: 224740
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2.7-2mdv2008.1
+ Revision: 178512
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 3.2.7-1mdv2008.0
+ Revision: 15538
- 3.2.7


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-2mdv2007.0
+ Revision: 81101
- Import php-pear-HTML_QuickForm

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-2mdk
- new group (Development/PHP)

* Mon Nov 07 2005 Oden Eriksson <oeriksson@mandriva.com> 3.2.5-1mdk
- 3.2.5
- fix deps

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 3.2.4pl1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 3.2.4pl1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 3.2.4pl1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 3.2.4pl1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 3.2.4pl1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 3.2.4pl1-1mdk
- initial Mandriva package (PLD import)

